## ros-melodic-dynamic-reconfigure 1.6.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(dynamic_reconfigure)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
find_package(Boost REQUIRED COMPONENTS system thread chrono)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

catkin_python_setup()

add_message_files(
  DIRECTORY msg
  FILES
  BoolParameter.msg      Config.msg           Group.msg       IntParameter.msg      SensorLevels.msg
  ConfigDescription.msg  DoubleParameter.msg  GroupState.msg  ParamDescription.msg  StrParameter.msg)

add_service_files(
  DIRECTORY srv
  FILES Reconfigure.srv)

generate_messages(DEPENDENCIES std_msgs)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  set(dynamic_reconfigure_BASE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
  include(${dynamic_reconfigure_SOURCE_DIR}/cmake/dynamic_reconfigure-macros.cmake)
  generate_dynamic_reconfigure_options(cfg/Test.cfg)
  add_subdirectory(test)
endif()

catkin_package(LIBRARIES dynamic_reconfigure_config_init_mutex
               INCLUDE_DIRS include
               CATKIN_DEPENDS message_runtime std_msgs
               CFG_EXTRAS dynamic_reconfigure-extras.cmake
)

add_library(dynamic_reconfigure_config_init_mutex
  src/dynamic_reconfigure_config_init_mutex.cpp)
target_link_libraries(dynamic_reconfigure_config_init_mutex ${Boost_LIBRARIES})

install(DIRECTORY include/dynamic_reconfigure/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

install(TARGETS dynamic_reconfigure_config_init_mutex
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
install(DIRECTORY msg
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/dynparam
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(PROGRAMS scripts/reconfigure_gui
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY srv
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-melodic-dynamic-reconfigure 1.6.3

=== debian/changelog ===
ros-melodic-dynamic-reconfigure (1.6.3-1stretch) stretch; urgency=high

  * Revert #140 <https://github.com/ros/dynamic_reconfigure/issues/140> (#152 <https://github.com/ros/dynamic_reconfigure/issues/152>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.2-1stretch) stretch; urgency=high

  * Set right order of SYSTEM/BEFORE options in dynamic_reconfigure-macros.cmake. Fix #150 <https://github.com/ros/dynamic_reconfigure/issues/150> (#151 <https://github.com/ros/dynamic_reconfigure/issues/151>)
  * Contributors: Alexander

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.1-1stretch) stretch; urgency=high

  * Use PYTHON_EXECUTABLE to generate config headers. (#146 <https://github.com/ros/dynamic_reconfigure/issues/146>)
  * Python3 compatibility (#135 <https://github.com/ros/dynamic_reconfigure/issues/135>)
  * Use system on gen headers (#140 <https://github.com/ros/dynamic_reconfigure/issues/140>)
  * Fix GCC8 error for unnecessary parentheses (#132 <https://github.com/ros/dynamic_reconfigure/issues/132>)
  * fix generate_dynamic_reconfigure_options (#10 <https://github.com/ros/dynamic_reconfigure/issues/10>) (#134 <https://github.com/ros/dynamic_reconfigure/issues/134>)
  * Make Michael Carroll the maintainer (#125 <https://github.com/ros/dynamic_reconfigure/issues/125>)
  * Contributors: Christopher Wecht, Markus Grimm, Michael Carroll, Mikael Arguedas, Nicolas Limpert, Sean Yen [MSFT], Victor Lopez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.0-1stretch) stretch; urgency=high

  * fix check preventing range for string and bool parameters (#122 <https://github.com/ros/dynamic_reconfigure/issues/122>)
  * Fix build issue on Windows (#114 <https://github.com/ros/dynamic_reconfigure/issues/114>)
  * Contributors: Johnson Shih, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.50-1stretch) stretch; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.49-1stretch) stretch; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.48-1stretch) stretch; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 07 Apr 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.47-1stretch) stretch; urgency=high

  * reset received_configuration_ for every request sent (#82 <https://github.com/ros/dynamic_reconfigure/issues/82>)
  * Rename arguments (with a_ prefix) to avoid Wshadow warnings. (#80 <https://github.com/ros/dynamic_reconfigure/issues/80>)
    handle infinity in python generation, fixes (#77 <https://github.com/ros/dynamic_reconfigure/issues/77>)
  * Add a c++ Dynamic Reconfigure Client (#78 <https://github.com/ros/dynamic_reconfigure/issues/78>)
  * Enforce valid descriptions in cfg files (#74 <https://github.com/ros/dynamic_reconfigure/issues/74>)
  * Fix callback returned by get_description_callback (#73 <https://github.com/ros/dynamic_reconfigure/issues/73>) from ros/description_cb
  * Contributors: Jeff Eberl, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.46-1stretch) stretch; urgency=high

  * Add missing group params to wikidoc (#68 <https://github.com/ros/dynamic_reconfigure/issues/68>)
    The catkin generated wikidoc files were missing parameters defined as groups.
    Both the Dox and UsageDox file were generated correctly, but the wikidoc was
    using the wrong method to traverse all groups.
  * Contributors: Mark Horn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 15 Nov 2016 06:00:00 -0000



=== debian/control ===
Source: ros-melodic-dynamic-reconfigure
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin (>= 0.5.87), ros-melodic-cpp-common, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/dynamic_reconfigure
Standards-Version: 3.9.2

Package: ros-melodic-dynamic-reconfigure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-std-msgs
Description: The dynamic_reconfigure package provides a means to update parameters at runtime without having to restart the node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dynamic-reconfigure//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dynamic-reconfigure 1.6.5

=== debian/changelog ===
ros-melodic-dynamic-reconfigure (1.6.5-1bionic) bionic; urgency=high

  * Add Loader=yaml.Loader to yaml.load (#178 <https://github.com/ros/dynamic_reconfigure/issues/178>)
  * Contributors: Charles Jenkins

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 May 2022 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.4-1bionic) bionic; urgency=high

  * fix: Race condition on quickly setting and getting config (#188 <https://github.com/ros/dynamic_reconfigure/issues/188>) (#190 <https://github.com/ros/dynamic_reconfigure/issues/190>)
  * Contributors: Rokus Ottervanger

 -- Michael Carroll <michael@openrobotics.org>  Sat, 19 Feb 2022 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.3-1bionic) bionic; urgency=high

  * Revert #140 <https://github.com/ros/dynamic_reconfigure/issues/140> (#152 <https://github.com/ros/dynamic_reconfigure/issues/152>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.2-1bionic) bionic; urgency=high

  * Set right order of SYSTEM/BEFORE options in dynamic_reconfigure-macros.cmake. Fix #150 <https://github.com/ros/dynamic_reconfigure/issues/150> (#151 <https://github.com/ros/dynamic_reconfigure/issues/151>)
  * Contributors: Alexander

 -- Michael Carroll <michael@openrobotics.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.1-1bionic) bionic; urgency=high

  * Use PYTHON_EXECUTABLE to generate config headers. (#146 <https://github.com/ros/dynamic_reconfigure/issues/146>)
  * Python3 compatibility (#135 <https://github.com/ros/dynamic_reconfigure/issues/135>)
  * Use system on gen headers (#140 <https://github.com/ros/dynamic_reconfigure/issues/140>)
  * Fix GCC8 error for unnecessary parentheses (#132 <https://github.com/ros/dynamic_reconfigure/issues/132>)
  * fix generate_dynamic_reconfigure_options (#10 <https://github.com/ros/dynamic_reconfigure/issues/10>) (#134 <https://github.com/ros/dynamic_reconfigure/issues/134>)
  * Make Michael Carroll the maintainer (#125 <https://github.com/ros/dynamic_reconfigure/issues/125>)
  * Contributors: Christopher Wecht, Markus Grimm, Michael Carroll, Mikael Arguedas, Nicolas Limpert, Sean Yen [MSFT], Victor Lopez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.6.0-1bionic) bionic; urgency=high

  * fix check preventing range for string and bool parameters (#122 <https://github.com/ros/dynamic_reconfigure/issues/122>)
  * Fix build issue on Windows (#114 <https://github.com/ros/dynamic_reconfigure/issues/114>)
  * Contributors: Johnson Shih, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.50-1bionic) bionic; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.49-1bionic) bionic; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.48-1bionic) bionic; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 07 Apr 2017 00:00:00 -0000

ros-melodic-dynamic-reconfigure (1.5.47-1bionic) bionic; urgency=high

  * reset received_configuration_ for every request sent (#82 <https://github.com/ros/dynamic_reconfigure/issues/82>)
  * Rename arguments (with a_ prefix) to avoid Wshadow warnings. (#80 <https://github.com/ros/dynamic_reconfigure/issues/80>)
    handle infinity in python generation, fixes (#77 <https://github.com/ros/dynamic_reconfigure/issues/77>)
  * Add a c++ Dynamic Reconfigure Client (#78 <https://github.com/ros/dynamic_reconfigure/issues/78>)
  * Enforce valid descriptions in cfg files (#74 <https://github.com/ros/dynamic_reconfigure/issues/74>)
  * Fix callback returned by get_description_callback (#73 <https://github.com/ros/dynamic_reconfigure/issues/73>) from ros/description_cb
